- name: Run "apt update"
  ansible.builtin.apt:
    update_cache: yes
    cache_valid_time: 3600
  when: ansible_os_family == "Debian"

- name: Upgrade the OS (apt-get dist-upgrade)
  ansible.builtin.apt:
    upgrade: dist
  when:
    - ansible_os_family == "Debian"
    - not (gpu | default(false))
